Subject: Re: [ippm] Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

From: Gregory Mirsky <[email-masked]>
Date: Mon, 2 Nov 2015 01:23:32 +0000

Hi Dave,
apologies for the  belated response to your comment on rates. Would the following sentences, added at the very end of the list of rules to handle DSCP and ECN in Section 2.2.1,  address it sufficiently:
   A Session-Reflector in the DSCP and ECM Monitoring mode does not
   analyze, nor acts on ECN value of the received TWAMP test packet.  It
   is expected that sending rates are low enough that reflection packet
   rates are low enough that they aren't significant contributors to
   congestion.

                Regards,
                                Greg

From: Black, David [mailto:[email-masked]]
Sent: Sunday, October 25, 2015 5:08 PM
To: Gregory Mirsky; Spencer Dawkins at IETF; MORTON, ALFRED C (AL)
Cc: The IESG; Suresh Krishnan; [email-masked]; [email-masked]; [email-masked]; Black, David
Subject: RE: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

“test” -> “text” ;-)

From: Black, David
Sent: Sunday, October 25, 2015 8:04 PM
To: Gregory Mirsky; Spencer Dawkins at IETF; MORTON, ALFRED C (AL)
Cc: The IESG; Suresh Krishnan; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Black, David
Subject: RE: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

Yes, that test looks reasonable.  Looking forward to the text on sending rate.

Thanks,
--David

From: Gregory Mirsky [mailto:[email-masked]]
Sent: Friday, October 23, 2015 4:33 PM
To: Black, David; Spencer Dawkins at IETF; MORTON, ALFRED C (AL)
Cc: The IESG; Suresh Krishnan; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

Hi David,
would the following be acceptable to address your comment (apologies for lengthy quote):
   The DSCP and ECN values (part of the Type-P Descriptor [RFC4656]) can
   be provisioned through TWAMP-Control or by other means (CLI or
   Central Controller).  The DSCP and ECN values are often copied into
   reflected test packets with current TWAMP implementations without
   TWAMP-Control protocol.  With DSCP and ECN Monitoring Extension, the
   Session-Reflector handles DSCP as following:

   o  the Session-Reflector MUST extract the DSCP and ECN values from
      the received packet and MUST populate with them S-DSCP-ECN field
      of the corresponding reflected packet;

   o  the Session-Reflector MUST transmit each reflected test packet
      with DSCP set to the provisioned value;

   o  if the provisioned DSCP value is not known (e.g.  TWAMP Light),
      the choice of the DSCP is implementation specific.  For instance,
      Session-Reflector MAY copy the DSCP value from the received test
      packet and set it as DSCP in a reflected packet.  Alternatively
      Session-Reflector MAY set DSCP value to CS0 (zero) [RFC2474];

   o  if the provisioned ECN value is not known, ECN SHOULD be set to
      Not-ECT codepoint value [RFC3168].  Otherwise, the provisioned ECN
      value for the session SHALL be used.

                Regards,
                                Greg

From: Black, David [mailto:[email-masked]]
Sent: Friday, October 23, 2015 12:57 PM
To: Gregory Mirsky; Spencer Dawkins at IETF; MORTON, ALFRED C (AL)
Cc: The IESG; Suresh Krishnan; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Black, David
Subject: RE: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

Ok, got it - “provisioned through TWAMP-Control or by other means (CLI or Central Controller)” would be clearer than “provisioned” for both DSCP and ECN.  This is mostly editorial.

Thanks, --David

From: Gregory Mirsky [mailto:[email-masked]]
Sent: Friday, October 23, 2015 3:35 PM
To: Black, David; Spencer Dawkins at IETF; MORTON, ALFRED C (AL)
Cc: The IESG; Suresh Krishnan; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

Hi David,
ECN is part of Type-P Descriptor according to OWAMP [RFC 4656] and can be configured through TWAMP-Control or by other means (CLI or Central Controller).

                Regards,
                                Greg

From: Black, David [mailto:[email-masked]]
Sent: Friday, October 23, 2015 12:23 PM
To: Spencer Dawkins at IETF; MORTON, ALFRED C (AL)
Cc: Gregory Mirsky; The IESG; Suresh Krishnan; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; Black, David
Subject: RE: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

David also doesn’t understand what “provisioned ECN value for the session” means.  Who/what provisions that value?

David hopes that Spencer is correct on “sending rates are low enough”.

Thanks,
--David

From: Spencer Dawkins at IETF [mailto:[email-masked]]
Sent: Friday, October 23, 2015 3:13 PM
To: MORTON, ALFRED C (AL)
Cc: Gregory Mirsky; The IESG; Black, David; Suresh Krishnan; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Re: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

I'm putting my summary of how other comments have been addressed in this thread, just to keep everything in one place. Spoiler alert - they've mostly been addressed! But please see below.

  *   Alvero's comment - looks addressed, but there was a nit in the proposed text.
  *   Benoit's comment - just referenced Al's OPSDIR review. Not addressed in this thread, but addressed in Al's OPSDIR review thread.
  *   Ben's comment - looks addressed.
  *   Al's OPSDIR review - looks addressed.
  *   Suresh's Gen-ART review - looks addressed.
  *   Kathleen's comment - looks addressed.
  *   Spencer's comment - this was based on a conversation I had with David Black. It looks mostly addressed in the unsubmitted -03 version, with one question remaining.
In this text:

   o  if the negotiated/provisioned ECN value is not known, ECN SHOULD
       be set to Not-ECT codepoint value [RFC3168].  Otherwise, the
       provisioned ECN value for the session SHALL be used.

David pointed out that TWAMP isn't ECN-responsive. He said perhaps saying "stop when CE=1" would make sense as the least complicated response possible, but also said we're pretty late in the process to be making changes like that. I agree on "pretty late", and also wonder if anything that does need to be said about ECN with TWAMP belongs in another draft (this one's describing an optional extension, so there's no reason anyone would be looking at it for guidance about ECN).

I also noted that TWAMP hasn't been ECN-responsive since -00 of the individual base protocol draft, so maybe this isn't urgent (simply because sending rates are low enough that reflection packet rates are low enough that they aren't significant contributors to congestion).

Is that the way it's looking to others?

Spencer

On Thu, Oct 22, 2015 at 5:33 PM, MORTON, ALFRED C (AL) <[email-masked]<mailto:[email-masked]>> wrote:
That’s fine, “extract: has to go with the received information.

From: Gregory Mirsky [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Thursday, October 22, 2015 6:17 PM
To: MORTON, ALFRED C (AL); Spencer Dawkins; The IESG; Black, David; Suresh Krishnan

Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

Hi Al,
thank you for your thorough check of the update. Would the following be acceptable:
the Session-Reflector MUST extract DSCP and ECN values from the received packet and MUST populate with them the S-DSCP-ECN field of the corresponding reflected packet;

                Regards,
                                Greg

From: MORTON, ALFRED C (AL) [mailto:[email-masked]]
Sent: Thursday, October 22, 2015 2:51 PM
To: Gregory Mirsky; Spencer Dawkins; The IESG; Black, David; Suresh Krishnan
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

Hi Greg, I noticed that this bullet’s wording:

o  the Session-Reflector MUST extract the S-DSCP-ECN value from the
   DSCP and ECN values of received packets;

seems to reverse the meaning of “extract”, and would probably
be better if worded:

o  the Session-Reflector MUST populate the S-DSCP-ECN value with the
   DSCP and ECN values extracted from the corresponding the received packet;

Sorry, I don’t know why I missed this before.
Otherwise, I think this is what we want.
thanks,
Al

From: Gregory Mirsky [mailto:[email-masked]]
Sent: Thursday, October 22, 2015 12:40 PM
To: Spencer Dawkins; The IESG; MORTON, ALFRED C (AL); Black, David; Kathleen Moriarty ([email-masked]<mailto:[email-masked]>); Suresh Krishnan; Ben Campbell ([email-masked]<mailto:[email-masked]>); Alvaro Retana (aretana) ([email-masked]<mailto:[email-masked]>)
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: RE: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

Dear All,

thank you all for your reviews, comments, help and patience.

Attached are:

•         diff with highlighted updates;

•         -03 version that includes all the updates.

Hope that you find your comments have been satisfactorily addressed.

                Regards,

                                Greg

-----Original Message-----
From: Spencer Dawkins [mailto:[email-masked]]
Sent: Thursday, October 22, 2015 4:45 AM
To: The IESG
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

Spencer Dawkins has entered the following ballot position for

draft-ietf-ippm-type-p-monitor-02: Yes

When responding, please keep the subject line intact and reply to all email addresses included in the To and CC lines. (Feel free to cut this introductory paragraph, however.)

Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html

for more information about IESG DISCUSS and COMMENT positions.

The document, along with other ballot positions, can be found here:

https://datatracker.ietf.org/doc/draft-ietf-ippm-type-p-monitor/

----------------------------------------------------------------------

COMMENT:

----------------------------------------------------------------------

My apologies for thinking slowly ... but it doesn't look like these questions will be difficult to resolve.

I talked with David Black about this draft, and he had questions that I translated into AD-speak as:

Reflecting an unknown DSCP value is a MAY. Can reflecting packets using a DSCP value you don't understand be a bad idea? How important is that the DSCP value is NOT 0 (CS0, default forwarding)?

If you are reflecting a DSCP value, are you also reflecting the ECN(0) bit unchanged?

TWAMP doesn't look congestion-controlled to me (certainly not in the reflected direction - https://tools.ietf.org/html/rfc5357 says the packet is reflected as quickly/immediately as possible in at least three places I can see. What is a typical sending rate for the Session-Sender, and is that likely to cause problems in the reflected direction?

His note to me follows:

This bullet at the end of 2.2.2 bothers me:

   o  if the negotiated/provisioned DSCP value is not known (e.g.  TWAMP

      Light), the choice of the DSCP is implementation specific.  For

      instance, Session-Reflector MAY copy the DSCP value from the

      received test packet and set it as DSCP in a reflected packet

This is implicitly recommending reflection of the DSCP value, and by omitted implication, reflection of the ECN value.  Both of those seem like bad ideas, it would be better to say that in this case the DSCP should be set to 0 (CS0, Default forwarding).  I would also say that the ECN field MUST be set to 0 (not-ECT) in the reflected packet, always.

I’m a bit concerned about setting ECT(0) or ECT(1) on the forward measurement path, as TWAMP is not congestion-responsive.  Is the transmission rate of TWAMP low enough to not cause a problem if CE signals are received and ignored in the ECN field at the Reflector?

---

From: "Black, David" <[email-masked]>
Date: Mon, 2 Nov 2015 10:25:58 +0000

Greg,

I suggest the following edits:

   A Session-Reflector in the DSCP and ECM ECN Monitoring mode does not
   analyze, nor acts on ECN value of the received TWAMP test packet and
   therefore ignores congestion indications from the network.  It
   is expected that sending rates are low enough that reflection packet
   rates are low enough that they aren't ignoring these congestion
   indications will  not significantly contributeors to network congestion.

Please find something to reference for the low sending rates.

Thanks,
--David

From: Gregory Mirsky [mailto:[email-masked]]
Sent: Sunday, November 01, 2015 8:24 PM
To: Black, David; Spencer Dawkins at IETF; MORTON, ALFRED C (AL)
Cc: The IESG; Suresh Krishnan; [email-masked]; [email-masked]; [email-masked]
Subject: RE: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

Hi Dave,

                Regards,
                                Greg

“test” -> “text” ;-)

From: Black, David

Thanks,
--David

Hi David,

                Regards,
                                Greg

Thanks, --David

Hi David,

                Regards,
                                Greg

Thanks,
--David

Spencer

Hi Al,

                Regards,
                                Greg

Dear All,

Attached are:

                Regards,

                                Greg

-----Original Message-----
From: Spencer Dawkins [mailto:[email-masked]]
Sent: Thursday, October 22, 2015 4:45 AM
To: The IESG
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

COMMENT:

His note to me follows:

---

From: Gregory Mirsky <[email-masked]>
Date: Mon, 2 Nov 2015 13:38:13 +0000

Hi David,
many thanks for your thoughtful suggestion.
As the reference I’ve located the following in RFC 3432:
“The total traffic generated by this or any sampling method
   should be limited to avoid adverse affects on non-test traffic
   (packet size, packet rate, and sample duration and frequency should
   all be considered).”

Perhaps it may be used as reference:
   A Session-Reflector in the DSCP and ECN Monitoring mode does not
   analyze, nor acts on ECN value of the received TWAMP test packet and
   therefore ignores congestion indications from the network. It is
   expected that sending rates are low enough, as recommended in [RFC3432], that ignoring these
   congestion indications will not significantly contribute to network
   congestion.

                Regards,
                                Greg

Sent: Monday, November 02, 2015 7:26 PM

Greg,

Thanks,
--David

Hi Dave,

                Regards,
                                Greg

“test” -> “text” ;-)

From: Black, David

Thanks,
--David

Hi David,

                Regards,
                                Greg

Thanks, --David

Hi David,

                Regards,
                                Greg

Thanks,
--David

Spencer

Hi Al,

                Regards,
                                Greg

Dear All,

Attached are:

                Regards,

                                Greg

-----Original Message-----
From: Spencer Dawkins [mailto:[email-masked]]
Sent: Thursday, October 22, 2015 4:45 AM
To: The IESG
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

COMMENT:

His note to me follows:

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Tue, 3 Nov 2015 06:24:00 +0900

Hi, Gregory and David,

On Mon, Nov 2, 2015 at 10:38 PM, Gregory Mirsky <[email-masked]
> wrote:

>    congestion indications will not significantly contribute to network

This is a question, and the answer could be "no", but I wonder if it's
worth pointing out that TWAMP has been relying on sending rates that were
"low enough" for quite some time. TWAMP isn't a new protocol (the base RFC
was published in 2008).

Spencer

>                 Regards,
>
>                                 Greg
>
>
>
>
>
> *From:* Black, David [mailto:[email-masked]]
> *Sent:* Monday, November 02, 2015 7:26 PM
>
> *To:* Gregory Mirsky; Spencer Dawkins at IETF; MORTON, ALFRED C (AL)
> *Cc:* The IESG; Suresh Krishnan; [email-masked];
> [email-masked]; [email-masked]; Black, David
> *Subject:* RE: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02:
> (with COMMENT)
>
>
>
> Greg,
>
>
>
>    A Session-Reflector in the DSCP and ECM *ECN* Monitoring mode does not
>
>    analyze, nor acts on ECN value of the received TWAMP test packet *and*
>
> *   therefore ignores congestion indications from the network*.  It
>
>    rates are low enough that they aren't i*gnoring these congestion*
>
> *   indications will  not* significant*ly* contribut*e*ors to network
> congestion.
>
>
>
> *From:* Gregory Mirsky [mailto:[email-masked]
> <[email-masked]>]
> *Sent:* Sunday, November 01, 2015 8:24 PM
> *To:* Black, David; Spencer Dawkins at IETF; MORTON, ALFRED C (AL)
> *Cc:* The IESG; Suresh Krishnan; [email-masked];
> [email-masked]; [email-masked]
> *Subject:* RE: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02:
> (with COMMENT)
>
>
>
> Hi Dave,
>
> apologies for the  belated response to your comment on rates. Would the
> following sentences, added at the very end of the list of rules to handle
> DSCP and ECN in Section 2.2.1,  address it sufficiently:
>
> *From:* Black, David [mailto:[email-masked] <[email-masked]>]
> *Sent:* Sunday, October 25, 2015 5:08 PM
> *To:* Gregory Mirsky; Spencer Dawkins at IETF; MORTON, ALFRED C (AL)
> *Cc:* The IESG; Suresh Krishnan; [email-masked];
> [email-masked]; [email-masked]; Black, David
> *Subject:* RE: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02:
> (with COMMENT)
>
>
>
> “test” -> “text” ;-)
>
>
>
> *From:* Black, David
> *Sent:* Sunday, October 25, 2015 8:04 PM
> *To:* Gregory Mirsky; Spencer Dawkins at IETF; MORTON, ALFRED C (AL)
> *Cc:* The IESG; Suresh Krishnan; [email-masked];
> [email-masked]; [email-masked]; Black, David
> *Subject:* RE: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02:
> (with COMMENT)
>
>
>
> *From:* Gregory Mirsky [mailto:[email-masked]
> <[email-masked]>]
> *Sent:* Friday, October 23, 2015 4:33 PM
> *To:* Black, David; Spencer Dawkins at IETF; MORTON, ALFRED C (AL)
> *Cc:* The IESG; Suresh Krishnan; [email-masked];
> [email-masked]; [email-masked]
> *Subject:* RE: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02:
> (with COMMENT)
>
>
>
> Hi David,
>
> *From:* Black, David [mailto:[email-masked] <[email-masked]>]
> *Sent:* Friday, October 23, 2015 12:57 PM
> *To:* Gregory Mirsky; Spencer Dawkins at IETF; MORTON, ALFRED C (AL)
> *Cc:* The IESG; Suresh Krishnan; [email-masked];
> [email-masked]; [email-masked]; Black, David
> *Subject:* RE: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02:
> (with COMMENT)
>
>
>
> Ok, got it - “provisioned through TWAMP-Control or by other means (CLI or
> Central Controller)” would be clearer than “provisioned” for both DSCP and
> ECN.  This is mostly editorial.
>
>
>
> Thanks, --David
>
>
>
> *From:* Gregory Mirsky [mailto:[email-masked]
> <[email-masked]>]
> *Sent:* Friday, October 23, 2015 3:35 PM
> *To:* Black, David; Spencer Dawkins at IETF; MORTON, ALFRED C (AL)
> *Cc:* The IESG; Suresh Krishnan; [email-masked];
> [email-masked]; [email-masked]
> *Subject:* RE: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02:
> (with COMMENT)
>
>
>
> Hi David,
>
> ECN is part of Type-P Descriptor according to OWAMP [RFC 4656] and can be
> configured through TWAMP-Control or by other means (CLI or Central
> Controller).
>
>
>
>                 Regards,
>
>                                 Greg
>
>
>
> *From:* Black, David [mailto:[email-masked] <[email-masked]>]
> *Sent:* Friday, October 23, 2015 12:23 PM
> *To:* Spencer Dawkins at IETF; MORTON, ALFRED C (AL)
> *Cc:* Gregory Mirsky; The IESG; Suresh Krishnan;
> [email-masked]; [email-masked];
> [email-masked]; Black, David
> *Subject:* RE: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02:
> (with COMMENT)
>
>
>
> *From:* Spencer Dawkins at IETF [mailto:[email-masked]
> <[email-masked]>]
> *Sent:* Friday, October 23, 2015 3:13 PM
> *To:* MORTON, ALFRED C (AL)
> *Cc:* Gregory Mirsky; The IESG; Black, David; Suresh Krishnan;
> [email-masked]; [email-masked];
> [email-masked]
> *Subject:* Re: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02:
> (with COMMENT)
>
>
>
> I'm putting my summary of how other comments have been addressed in this
> thread, just to keep everything in one place. Spoiler alert - they've
> mostly been addressed! But please see below.
>
>
>
>    - Alvero's comment - looks addressed, but there was a nit in the
>    proposed text.
>    - Benoit's comment - just referenced Al's OPSDIR review. Not addressed
>    in this thread, but addressed in Al's OPSDIR review thread.
>    - Ben's comment - looks addressed.
>    - Al's OPSDIR review - looks addressed.
>    - Suresh's Gen-ART review - looks addressed.
>    - Kathleen's comment - looks addressed.
>    - Spencer's comment - this was based on a conversation I had with
>    David Black. It looks mostly addressed in the unsubmitted -03 version, with
>    one question remaining.
>
> In this text:
>
>
>
> David pointed out that TWAMP isn't ECN-responsive. He said perhaps saying
> "stop when CE=1" would make sense as the least complicated response
> possible, but also said we're pretty late in the process to be making
> changes like that. I agree on "pretty late", and also wonder if anything
> that does need to be said about ECN with TWAMP belongs in another draft
> (this one's describing an optional extension, so there's no reason anyone
> would be looking at it for guidance about ECN).
>
>
>
> I also noted that TWAMP hasn't been ECN-responsive since -00 of the
> individual base protocol draft, so maybe this isn't urgent (simply because
> sending rates are low enough that reflection packet rates are low enough
> that they aren't significant contributors to congestion).
>
>
>
> On Thu, Oct 22, 2015 at 5:33 PM, MORTON, ALFRED C (AL) <[email-masked]>
> wrote:
>
> *From:* Gregory Mirsky [mailto:[email-masked]]
> *Sent:* Thursday, October 22, 2015 6:17 PM
> *To:* MORTON, ALFRED C (AL); Spencer Dawkins; The IESG; Black, David;
> Suresh Krishnan
>
>
> *Cc:* [email-masked]; [email-masked];
> [email-masked]
> *Subject:* RE: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02:
> (with COMMENT)
>
>
>
> Hi Al,
>
> the Session-Reflector MUST extract DSCP and ECN values from the received
> packet and MUST populate with them the S-DSCP-ECN field of the
> corresponding reflected packet;
>
>
>
>                 Regards,
>
>                                 Greg
>
>
>
>
>
> *From:* MORTON, ALFRED C (AL) [mailto:[email-masked] <[email-masked]>]
>
> *Sent:* Thursday, October 22, 2015 2:51 PM
> *To:* Gregory Mirsky; Spencer Dawkins; The IESG; Black, David; Suresh
> Krishnan
> *Cc:* [email-masked]; [email-masked];
> [email-masked]
> *Subject:* RE: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02:
> (with COMMENT)
>
>
>
> *From:* Gregory Mirsky [mailto:[email-masked]
> <[email-masked]>]
> *Sent:* Thursday, October 22, 2015 12:40 PM
> *To:* Spencer Dawkins; The IESG; MORTON, ALFRED C (AL); Black, David;
> Kathleen Moriarty ([email-masked]); Suresh Krishnan;
> Ben Campbell ([email-masked]); Alvaro Retana (aretana) ([email-masked]
> )
> *Cc:* [email-masked]; [email-masked];
> [email-masked]; [email-masked]
> *Subject:* RE: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02:
> (with COMMENT)
>
>
>
> Dear All,
>
> ·         diff with highlighted updates;
>
> ·         -03 version that includes all the updates.
>
> From: Spencer Dawkins [mailto:[email-masked]
> <[email-masked]>]
> Cc: [email-masked]; [email-masked];
> [email-masked]; [email-masked]; [email-masked]
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
>
>
>
> Reflecting an unknown DSCP value is a MAY. Can reflecting packets using a
> DSCP value you don't understand be a bad idea? How important is that the
> DSCP value is NOT 0 (CS0, default forwarding)?
>
>
>
> TWAMP doesn't look congestion-controlled to me (certainly not in the
> reflected direction - https://tools.ietf.org/html/rfc5357 says the packet
> is reflected as quickly/immediately as possible in at least three places I
> can see. What is a typical sending rate for the Session-Sender, and is that
> likely to cause problems in the reflected direction?
>
>
>
> His note to me follows:
>
>
>
> This is implicitly recommending reflection of the DSCP value, and by
> omitted implication, reflection of the ECN value.  Both of those seem like
> bad ideas, it would be better to say that in this case the DSCP should be
> set to 0 (CS0, Default forwarding).  I would also say that the ECN field
> MUST be set to 0 (not-ECT) in the reflected packet, always.
>
>
>
> I’m a bit concerned about setting ECT(0) or ECT(1) on the forward
> measurement path, as TWAMP is not congestion-responsive.  Is the
> transmission rate of TWAMP low enough to not cause a problem if CE signals
> are received and ignored in the ECN field at the Reflector?
>
>
>
>
>
>
>

---

From: "Black, David" <[email-masked]>
Date: Tue, 3 Nov 2015 03:34:35 +0000

I like Spencer’s suggestion - “running code” should still carry weight around here ...

Thanks,
--David

From: Spencer Dawkins at IETF [mailto:[email-masked]]
Sent: Monday, November 02, 2015 4:24 PM
To: Gregory Mirsky
Cc: Black, David; MORTON, ALFRED C (AL); The IESG; Suresh Krishnan; [email-masked]; [email-masked]; [email-masked]
Subject: Re: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

Hi, Gregory and David,

On Mon, Nov 2, 2015 at 10:38 PM, Gregory Mirsky <[email-masked]<mailto:[email-masked]>> wrote:
Hi David,

This is a question, and the answer could be "no", but I wonder if it's worth pointing out that TWAMP has been relying on sending rates that were "low enough" for quite some time. TWAMP isn't a new protocol (the base RFC was published in 2008).

Spencer

                Regards,
                                Greg

From: Black, David [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Monday, November 02, 2015 7:26 PM

Greg,

Thanks,
--David

Hi Dave,

                Regards,
                                Greg

“test” -> “text” ;-)

From: Black, David

Thanks,
--David

Hi David,

                Regards,
                                Greg

Thanks, --David

Hi David,

                Regards,
                                Greg

Thanks,
--David

Spencer

Hi Al,

                Regards,
                                Greg

Dear All,

Attached are:

                Regards,

                                Greg

-----Original Message-----
From: Spencer Dawkins [mailto:[email-masked]]
Sent: Thursday, October 22, 2015 4:45 AM
To: The IESG
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

COMMENT:

His note to me follows:

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Tue, 3 Nov 2015 13:38:10 +0900

> I like Spencer’s suggestion - “running code” should still carry weight

(especially if the running code says you're doing it the right way :-)

> Thanks,
>
> --David
>
>
>
> *From:* Spencer Dawkins at IETF [mailto:[email-masked]]
> *Sent:* Monday, November 02, 2015 4:24 PM
> *To:* Gregory Mirsky
> *Cc:* Black, David; MORTON, ALFRED C (AL); The IESG; Suresh Krishnan;
> On Mon, Nov 2, 2015 at 10:38 PM, Gregory Mirsky <
> [email-masked]> wrote:
>
> Hi David,
>

---

From: Gregory Mirsky <[email-masked]>
Date: Tue, 3 Nov 2015 07:34:29 +0000

Dear David and Spencer,
thank you for you thoughtful suggestions. Hope I’ve captured it:
   A Session-Reflector in the DSCP and ECN Monitoring mode does not
   analyze, nor acts on ECN value of the received TWAMP test packet and
   therefore ignores congestion indications from the network.  It is
   expected that sending rates are low enough, as TWAMP deployment
   experience had demonstrated since TWAMP base RFC 5357 publication in 2008,
   that ignoring these congestion indications will not significantly
   contribute to network congestion.

                Regards,
                                Greg

From: Spencer Dawkins at IETF [mailto:[email-masked]]
Sent: Tuesday, November 03, 2015 1:38 PM
To: Black, David
Cc: Gregory Mirsky; MORTON, ALFRED C (AL); The IESG; Suresh Krishnan; [email-masked]; [email-masked]; [email-masked]
Subject: Re: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

On Tue, Nov 3, 2015 at 12:34 PM, Black, David <[email-masked]<mailto:[email-masked]>> wrote:
I like Spencer’s suggestion - “running code” should still carry weight around here ...

Thanks,
--David

From: Spencer Dawkins at IETF [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Monday, November 02, 2015 4:24 PM
To: Gregory Mirsky
Cc: Black, David; MORTON, ALFRED C (AL); The IESG; Suresh Krishnan; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>

Hi, Gregory and David,

Spencer

                Regards,
                                Greg

Greg,

Thanks,
--David

Hi Dave,

                Regards,
                                Greg

“test” -> “text” ;-)

From: Black, David

Thanks,
--David

Hi David,

                Regards,
                                Greg

Thanks, --David

Hi David,

                Regards,
                                Greg

Thanks,
--David

Spencer

Hi Al,

                Regards,
                                Greg

Dear All,

Attached are:

                Regards,

                                Greg

-----Original Message-----
From: Spencer Dawkins [mailto:[email-masked]]
Sent: Thursday, October 22, 2015 4:45 AM
To: The IESG
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

COMMENT:

His note to me follows:

---

From: Spencer Dawkins at IETF <[email-masked]>
Date: Tue, 3 Nov 2015 17:17:53 +0900

Hi, Gregory,

>    contribute to network congestion.

That captures what I was hoping the document to say. Thanks for your help
on this.

Spencer

> *Sent:* Tuesday, November 03, 2015 1:38 PM
> *To:* Black, David
> *Cc:* Gregory Mirsky; MORTON, ALFRED C (AL); The IESG; Suresh Krishnan;

---

From: "Black, David" <[email-masked]>
Date: Tue, 3 Nov 2015 09:11:34 +0000

That text is fine ... and besides, when the AD is satisfied with this sort of edit, I should be also ;-).

The rest of the story is that TWAMP has apparently been ignoring dropped-packet indications of congestion since 2008 w/o causing serious congestion problems, hence the corresponding behavior of ignoring ECN indications of congestion should also not cause serious congestion problems.

Thanks,
--David

From: Spencer Dawkins at IETF [mailto:[email-masked]]
Sent: Tuesday, November 03, 2015 3:18 AM
To: Gregory Mirsky
Cc: Black, David; [email-masked]; MORTON, ALFRED C (AL); [email-masked]; Suresh Krishnan; The IESG; [email-masked]
Subject: Re: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

Hi, Gregory,

On Tue, Nov 3, 2015 at 4:34 PM, Gregory Mirsky <[email-masked]<mailto:[email-masked]>> wrote:
Dear David and Spencer,

That captures what I was hoping the document to say. Thanks for your help on this.

Spencer

                Regards,
                                Greg

From: Spencer Dawkins at IETF [mailto:[email-masked]<mailto:[email-masked]>]
Sent: Tuesday, November 03, 2015 1:38 PM
To: Black, David
Cc: Gregory Mirsky; MORTON, ALFRED C (AL); The IESG; Suresh Krishnan; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>

Thanks,
--David

Hi, Gregory and David,

Spencer

                Regards,
                                Greg

Greg,

Thanks,
--David

Hi Dave,

                Regards,
                                Greg

“test” -> “text” ;-)

From: Black, David

Thanks,
--David

Hi David,

                Regards,
                                Greg

Thanks, --David

Hi David,

                Regards,
                                Greg

Thanks,
--David

Spencer

Hi Al,

                Regards,
                                Greg

Dear All,

Attached are:

                Regards,

                                Greg

-----Original Message-----
From: Spencer Dawkins [mailto:[email-masked]]
Sent: Thursday, October 22, 2015 4:45 AM
To: The IESG
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

COMMENT:

His note to me follows:

---

From: Gregory Mirsky <[email-masked]>
Date: Wed, 4 Nov 2015 01:07:56 +0000

Dear Spencer, David, et. al,
I’ve posted updated version with changes to address all the thoughtful and helpful comments received from Al, Suresh, Kathleen, Ben, Alvaro, Benoit, Spencer and David. Authors greatly appreciate your help and support in improving the quality of the draft.

                Regards,
                                Greg

From: Black, David [mailto:[email-masked]]
Sent: Tuesday, November 03, 2015 6:12 PM
To: Spencer Dawkins at IETF; Gregory Mirsky
Cc: [email-masked]; MORTON, ALFRED C (AL); [email-masked]; Suresh Krishnan; The IESG; [email-masked]; Black, David
Subject: RE: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

Thanks,
--David

From: Spencer Dawkins at IETF [mailto:[email-masked]]
Sent: Tuesday, November 03, 2015 3:18 AM
To: Gregory Mirsky
Cc: Black, David; [email-masked]<mailto:[email-masked]>; MORTON, ALFRED C (AL); [email-masked]<mailto:[email-masked]>; Suresh Krishnan; The IESG; [email-masked]<mailto:[email-masked]>
Subject: Re: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

Hi, Gregory,

Spencer

                Regards,
                                Greg

Thanks,
--David

Hi, Gregory and David,

Spencer

                Regards,
                                Greg

Greg,

Thanks,
--David

Hi Dave,

                Regards,
                                Greg

“test” -> “text” ;-)

From: Black, David

Thanks,
--David

Hi David,

                Regards,
                                Greg

Thanks, --David

Hi David,

                Regards,
                                Greg

Thanks,
--David

Spencer

Hi Al,

                Regards,
                                Greg

Dear All,

Attached are:

                Regards,

                                Greg

-----Original Message-----
From: Spencer Dawkins [mailto:[email-masked]]
Sent: Thursday, October 22, 2015 4:45 AM
To: The IESG
Cc: [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>; [email-masked]<mailto:[email-masked]>
Subject: Spencer Dawkins' Yes on draft-ietf-ippm-type-p-monitor-02: (with COMMENT)

COMMENT:

His note to me follows:

Subject: [ippm] I-D Action: draft-ietf-ippm-type-p-monitor-03.txt
From: "[email-masked]" <[email-masked]>
To: "[email-masked]" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Wed, 4 Nov 2015 01:00:32 +0000
List-Id: IETF IP Performance Metrics Working Group <ippm.ietf.org>

A New Internet-Draft is available from the on-line Internet-Drafts directories.
 This draft is a work item of the IP Performance Metrics Working Group of the IETF.

        Title           : Differentiated Service Code Point and Explicit Congestion Notification Monitoring in Two-Way Active Measurement Protocol (TWAMP)
        Authors         : Jonas Hedin
                          Greg Mirsky
                          Steve  Baillargeon
	Filename        : draft-ietf-ippm-type-p-monitor-03.txt
	Pages           : 10
	Date            : 2015-11-03

Abstract:
   This document describes an optional extension for Two-Way Active
   Measurement Protocol (TWAMP) allowing the monitoring of the
   Differentiated Service Code Point and Explicit Congestion
   Notification fields with the TWAMP-Test protocol.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-ietf-ippm-type-p-monitor/

There's also a htmlized version available at:
https://tools.ietf.org/html/draft-ietf-ippm-type-p-monitor-03

A diff from the previous version is available at:
https://www.ietf.org/rfcdiff?url2=draft-ietf-ippm-type-p-monitor-03

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/

_______________________________________________
ippm mailing list
[email-masked]
https://www.ietf.org/mailman/listinfo/ippm